> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend Instance Endpoint

> This endpoint will suspend an instance under your partner account.


**Notes:**
- Suspended instances are NOT visible within the MSP web interface. 
- Suspended instances are not shown in the API “Get All” request.
- To restore a suspended instance or organization, the instanceID is required, so this should be documented so that a restore can later be performed.
- Suspended Instances do not stop working, only ACCESS to the suspended instance is blocked.
- If an organization is suspended, access to instances and sub organizations within that organization are also blocked.


Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json patch /partner/instances/suspend
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/instances/suspend:
    patch:
      tags:
        - Instances
      summary: Suspend Instance Endpoint
      description: "This endpoint will suspend an instance under your partner account.\r\n\r\n\r\n**Notes:**\r\n- Suspended instances are NOT visible within the MSP web interface. \r\n- Suspended instances are not shown in the API “Get All” request.\r\n- To restore a suspended instance or organization, the instanceID is required, so this should be documented so that a restore can later be performed.\r\n- Suspended Instances do not stop working, only ACCESS to the suspended instance is blocked.\r\n- If an organization is suspended, access to instances and sub organizations within that organization are also blocked.\r\n\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: SuspendInstance
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                instance_id:
                  title: Instance Id
                  type: string
                  description: ID of the organization under suspension.
            encoding:
              instance_id:
                style: form
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuspendInstanceJson'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    SuspendInstanceJson:
      title: Suspend Instance JSON
      type: object
      properties:
        instanceID:
          title: Instance ID
          type:
            - string
            - 'null'
          description: The unique identifier for the instance.
        name:
          title: Name
          type:
            - string
            - 'null'
          description: The name of the instance.
        enabled:
          title: Enabled Status
          type: integer
          description: The enabled status of the instance.
          format: int32
      additionalProperties: false
      description: Represents the JSON structure for suspending an instance.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````